include	clib.inc
include	dos.inc

	public	@drvexist

	extrn	cp_stdpath:byte	; 'C:\*.*'

_TEXT	SEGMENT

@drvexist PROC DIST ; AL: 'A','B',..
	mov cp_stdpath,al
	mov ax,4E00h
	mov dx,offset cp_stdpath
	mov cx,07Fh
	int 21h	; hard error if not exist..
	.if CARRY?
	    call @dosmaper
	    xor ax,ax
	.else
	    mov ax,1
	.endif
	ret
@drvexist ENDP

_TEXT	ENDS

	END
